function [meanInvTerminalUtil, mgrMaximizingKappa] = multiUtilDevMCFees(oneDayGridMovementProb, investorTerminalUtility, fundValueGrid)
    %runs utilDevMC for a varieties of fees
    
    noMgtFees = 11; %0 to 5 perc
    noIncFees = 31; %0 to 30 perc
    mgrMaximizingKappa = zeros(301, 63, noIncFees, noMgtFees); %mgr maximizing kappa surf
    mgrMgtFees = zeros(noMgtFees, 1);
    mgrIncFees = zeros(noIncFees, 1);
    meanInvTerminalUtil = zeros(noIncFees, noMgtFees);
    %[possibleGridMovements, oneDayGridMovementProb, gridMovementProb, terminalUtility, maximizingKappa2] = masterSim2(initialFundValue, fundShare, incFee, mgtFee, trp, certEq, noStages, detailed)
    [~, ~, ~, ~, invMaximizingKappa] = masterSim2(1, 1, 0, 0, 0, 0, 1, 0);
    for i = 1:noMgtFees
        
        mgrMgtFees(i, 1) = (i-1)*0.005;
        for j = 1:noIncFees
            disp('mgtFee No');
            disp(i);
            disp('incFee No');
            disp(j);
            mgrIncFees(j, 1) = (j-1)*0.01;
            disp('start mastersim2');
            [~, ~, ~, ~, mgrMaximizingKappa(:, :, j, i)] = masterSim2(1, 0, 0.25*mgrIncFees(j, 1), 0.25*mgrMgtFees(i, 1), 2, 0, 1, 0);
            disp('end mastersim2');
            disp('start simulations');
            [meanInvTerminalUtil(j, i), ~, ~, ~, ~] = utilDevMC(oneDayGridMovementProb, investorTerminalUtility, mgrMaximizingKappa(:, :, j, i), fundValueGrid, 200, 0);
            disp('end simulations');
        end
        
    end
    
    
end