function [normMatrix, mgtFees, incFees] = normFees()
%computes the manager-investor kappa-difference as a function of mgt and inc fees

    %optimalAlphaBeta = 1x2 vector with alpha and beta
    
    mgtFees = [0 %0.001;
% 0.002;
% 0.003;
% 0.004;
% 0.005;
% 0.006;
% 0.007;
% 0.008;
% 0.009
];

incFees = [0.001;
0.002;
0.003;
0.004;
0.005;
0.006;
0.007;
0.008;
0.009;

];

disp(incFees);
disp(mgtFees);
    
    
    [~, ~, ~, ~, invMatrix] = masterSim2(1, 1, 0, 0, 0, 0, 1, 0);
    function norm = calcNorm(optimalAlphaBeta)
%         [~, ~, ~, ~, ~, mgrMatrix, ~, ~, ~, ~, ~] = masterSim2(1, 1, 0, optimalAlphaBeta(1, 2)*0.25, optimalAlphaBeta(1, 1)*0.25, 1);
%         [~, ~, ~, ~, ~, invMatrix, ~, ~, ~, ~, ~] = masterSim2(1, 1, 1, 0, 0, 0);
        [~, ~, ~, ~, mgrMatrix] = masterSim2(1, 0, optimalAlphaBeta(1, 2)*0.25, optimalAlphaBeta(1, 1)*0.25, 2, 0, 1, 0);
        
        distanceMatrix = abs(mgrMatrix(155:280, 1:62)-invMatrix(155:280, 1:62));
        
        disp(distanceMatrix);
        norm = 0;
        for i = 1:size(distanceMatrix, 1)
            for j = 1:size(distanceMatrix, 2)
                norm = norm + distanceMatrix(i, j);
            end
        end
        norm = norm /((280-154)*62);
    end

    function [normMatrix, mgtFees, incFees] = plotNorm(mgtFees, incFees) %30, 10
        normMatrix = zeros(size(mgtFees, 1), size(incFees, 1));
        
        for i = 1:size(incFees, 1)
%             incFee = (0.3/incFeeLength)*(i);
%             incFees(i+1, 1) = incFee;

            for j = 1:size(mgtFees, 1)
%                 mgtFee = (0.1/mgtFeeLength)*(j+1);
%                 mgtFees(j+1, 1) = mgtFee;
                
                normMatrix(j, i) = calcNorm([mgtFees(j, 1), incFees(i, 1)]);
            end
            disp(i);
        end
        plot(normMatrix);
    end

    

    [normMatrix, mgtFees, incFees] = plotNorm(mgtFees, incFees);
end